org.keycloak.models.sessions.infinispan.entities

## Class AuthenticationSessionEntity

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.entities.AuthenticationSessionEntity

- All Implemented Interfaces:
    Serializable

      @SerializeWith(value=AuthenticationSessionEntity.ExternalizerImpl.class)
      public class AuthenticationSessionEntity
      extends Object
      implements Serializable

  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AuthenticationSessionEntity.ExternalizerImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationSessionEntity()`
    `AuthenticationSessionEntity(String clientUUID, String authUserId, int timestamp, String redirectUri, String action, Set<String> clientScopes, Map<String,CommonClientSessionModel.ExecutionStatus> executionStatus, String protocol, Map<String,String> clientNotes, Map<String,String> authNotes, Set<String> requiredActions, Map<String,String> userSessionNotes)`
    `AuthenticationSessionEntity(String clientUUID, String authUserId, String redirectUri, String action, Set<String> clientScopes, Map<String,CommonClientSessionModel.ExecutionStatus> executionStatus, String protocol, Map<String,String> clientNotes, Map<String,String> authNotes, Set<String> requiredActions, Map<String,String> userSessionNotes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAction()`
    `Map<String,String>` | `getAuthNotes()`
    `String` | `getAuthUserId()`
    `Map<String,String>` | `getClientNotes()`
    `Set<String>` | `getClientScopes()`
    `String` | `getClientUUID()`
    `Map<String,CommonClientSessionModel.ExecutionStatus>` | `getExecutionStatus()`
    `String` | `getProtocol()`
    `String` | `getRedirectUri()`
    `Set<String>` | `getRequiredActions()`
    `int` | `getTimestamp()`
    `Map<String,String>` | `getUserSessionNotes()`
    `void` | `setAction(String action)`
    `void` | `setAuthNotes(Map<String,String> authNotes)`
    `void` | `setAuthUserId(String authUserId)`
    `void` | `setClientNotes(Map<String,String> clientNotes)`
    `void` | `setClientScopes(Set<String> clientScopes)`
    `void` | `setClientUUID(String clientUUID)`
    `void` | `setExecutionStatus(Map<String,CommonClientSessionModel.ExecutionStatus> executionStatus)`
    `void` | `setProtocol(String protocol)`
    `void` | `setRedirectUri(String redirectUri)`
    `void` | `setRequiredActions(Set<String> requiredActions)`
    `void` | `setTimestamp(int timestamp)`
    `void` | `setUserSessionNotes(Map<String,String> userSessionNotes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationSessionEntity

          public AuthenticationSessionEntity()

    - #### AuthenticationSessionEntity

          public AuthenticationSessionEntity(String clientUUID,
                                             String authUserId,
                                             int timestamp,
                                             String redirectUri,
                                             String action,
                                             Set<String> clientScopes,
                                             Map<String,CommonClientSessionModel.ExecutionStatus> executionStatus,
                                             String protocol,
                                             Map<String,String> clientNotes,
                                             Map<String,String> authNotes,
                                             Set<String> requiredActions,
                                             Map<String,String> userSessionNotes)

    - #### AuthenticationSessionEntity

          public AuthenticationSessionEntity(String clientUUID,
                                             String authUserId,
                                             String redirectUri,
                                             String action,
                                             Set<String> clientScopes,
                                             Map<String,CommonClientSessionModel.ExecutionStatus> executionStatus,
                                             String protocol,
                                             Map<String,String> clientNotes,
                                             Map<String,String> authNotes,
                                             Set<String> requiredActions,
                                             Map<String,String> userSessionNotes)

  - ### Method Detail

    - #### getClientUUID

          public String getClientUUID()

    - #### setClientUUID

          public void setClientUUID(String clientUUID)

    - #### getAuthUserId

          public String getAuthUserId()

    - #### setAuthUserId

          public void setAuthUserId(String authUserId)

    - #### getTimestamp

          public int getTimestamp()

    - #### setTimestamp

          public void setTimestamp(int timestamp)

    - #### getRedirectUri

          public String getRedirectUri()

    - #### setRedirectUri

          public void setRedirectUri(String redirectUri)

    - #### getAction

          public String getAction()

    - #### setAction

          public void setAction(String action)

    - #### getClientScopes

          public Set<String> getClientScopes()

    - #### setClientScopes

          public void setClientScopes(Set<String> clientScopes)

    - #### getExecutionStatus

          public Map<String,CommonClientSessionModel.ExecutionStatus> getExecutionStatus()

    - #### setExecutionStatus

          public void setExecutionStatus(Map<String,CommonClientSessionModel.ExecutionStatus> executionStatus)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public void setProtocol(String protocol)

    - #### getClientNotes

          public Map<String,String> getClientNotes()

    - #### setClientNotes

          public void setClientNotes(Map<String,String> clientNotes)

    - #### getRequiredActions

          public Set<String> getRequiredActions()

    - #### setRequiredActions

          public void setRequiredActions(Set<String> requiredActions)

    - #### getUserSessionNotes

          public Map<String,String> getUserSessionNotes()

    - #### setUserSessionNotes

          public void setUserSessionNotes(Map<String,String> userSessionNotes)

    - #### getAuthNotes

          public Map<String,String> getAuthNotes()

    - #### setAuthNotes

          public void setAuthNotes(Map<String,String> authNotes)

Copyright © 2021 JBoss by Red Hat. All rights reserved.